edu.isi.pegasus.planner.dax

## Class PFN

- java.lang.Object
- - edu.isi.pegasus.planner.dax.PFN

    public class PFN
    extends java.lang.Object

Version:
  $Revision$
Author:
  gmehta

### Field Summary

Fields
`protected java.util.List<Profile>` `mProfiles`
`protected java.lang.String` `mSite`
`protected java.lang.String` `mURL`

### Constructor Summary

Constructors
Constructor and Description
`PFN(java.lang.String url)`
`PFN(java.lang.String url, java.lang.String site)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PFN` `addProfile(Profile.NAMESPACE namespace, java.lang.String key, java.lang.String value)`
`PFN` `addProfile(java.lang.String namespace, java.lang.String key, java.lang.String value)`
`PFN` `addProfiles(java.util.List<Profile> profiles)`
`PFN` `addProfiles(Profile profile)`
`java.util.List<Profile>` `getProfiles()`
`java.lang.String` `getSite()`
`java.lang.String` `getURL()`
`PFN` `setSite(java.lang.String site)`
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mURL

    protected java.lang.String mURL

#### mSite

    protected java.lang.String mSite

#### mProfiles

    protected java.util.List<Profile> mProfiles

### Constructor Detail

#### PFN

    public PFN(java.lang.String url)

#### PFN

    public PFN(java.lang.String url,
               java.lang.String site)

### Method Detail

#### getURL

    public java.lang.String getURL()

#### setSite

    public PFN setSite(java.lang.String site)

#### getSite

    public java.lang.String getSite()

#### addProfile

    public PFN addProfile(java.lang.String namespace,
                          java.lang.String key,
                          java.lang.String value)

#### addProfile

    public PFN addProfile(Profile.NAMESPACE namespace,
                          java.lang.String key,
                          java.lang.String value)

#### addProfiles

    public PFN addProfiles(java.util.List<Profile> profiles)

#### addProfiles

    public PFN addProfiles(Profile profile)

#### getProfiles

    public java.util.List<Profile> getProfiles()

#### toXML

    public void toXML(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)